%define major 2
%define libname %mklibname smbios %major
%define devname %mklibname smbios -d

Name:           libsmbios
Version:        2.4.3
Release:        %mkrel 4
Summary:        Libraries to get information from standard BIOS tables
License:        GPLv2+
Url:            https://linux.dell.com/libsmbios/main/
Group:          System/Kernel and hardware
Source0:        https://github.com/dell/libsmbios/archive/v%{version}/libsmbios-%{version}.tar.gz
Patch0001:      0001-libsmbios-fix-more-places-with-loop-iterators-with-b.patch
BuildRequires:  gettext-devel
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(cppunit)
BuildRequires:  doxygen
BuildRequires:  help2man
ExclusiveArch:  %{ix86} x86_64

%description
Libsmbios is a library and utilities that can be used by client programs
to get information from standard BIOS tables, such as the SMBIOS table.

%package -n %devname
Summary:        Development files for libsmios
Group:          Development/C
Requires:       %libname = %{version}

%description -n %devname
Libsmbios is a library and utilities that can be used by client programs to get
information from standard BIOS tables, such as the SMBIOS table.

This package contains the necessary files to compile new client programs
against libsmbios.

%package -n %libname
Summary:        Libraries to get information from standard BIOS tables
Group:          System/Kernel and hardware

%description -n %libname
Libsmbios is a library and utilities that can be used by client programs
to get information from standard BIOS tables, such as the SMBIOS table.

%package -n smbios-utils-bin
Summary:        Binary utilities that use libsmbios
Group:          System/Kernel and hardware

%description -n smbios-utils-bin
Get BIOS information, such as System product name, product id, service tag and
asset tag.

%prep
%autosetup -p1

%build
[ -e ./configure ] || PACKAGE_VERSION=%{version} ./autogen.sh --no-configure
%configure \
  --disable-rpath \
  --disable-libsmbios_cxx \
  --disable-graphviz \
  --disable-python

%make_build

%install
%make_install

mkdir -p %{buildroot}%{_includedir}
cp -a src/include/*  %{buildroot}/%{_includedir}/
cp -a out/public-include/* %{buildroot}/%{_includedir}/
rm -f %{buildroot}/%{_libdir}/lib*.{la,a}

%find_lang libsmbios

%files -n %devname
%{_includedir}/smbios/
%{_includedir}/smbios_c/
%exclude   /usr/include/Makefile.am
%{_libdir}/libsmbios_c.so
%{_libdir}/pkgconfig/libsmbios_c*.pc

%files -n %libname -f libsmbios.lang
%{_libdir}/libsmbios_c.so.%{major}{,.*}

%files -n smbios-utils-bin
%doc COPYING-GPL COPYING-OSL README.md
%{_sbindir}/smbios-get-ut-data
%{_sbindir}/smbios-state-byte-ctl
%{_sbindir}/smbios-sys-info-lite
%{_sbindir}/smbios-upflag-ctl
%{_mandir}/man1/*


%changelog
* Thu Jun 26 2025 umeabot <umeabot> 2.4.3-4.mga10
+ Revision: 2196552
- Mageia 10 Mass Rebuild

* Sat Mar 19 2022 umeabot <umeabot> 2.4.3-3.mga9
+ Revision: 1799481
- Mageia 9 Mass Rebuild

* Fri Feb 21 2020 umeabot <umeabot> 2.4.3-2.mga8
+ Revision: 1547908
- Mageia 8 Mass Rebuild

* Tue Feb 11 2020 daviddavid <daviddavid> 2.4.3-1.mga8
+ Revision: 1488681
- new version: 2.4.3
+ wally <wally>
- replace deprecated %%configure2_5x

* Thu Jan 31 2019 tv <tv> 2.4.2-1.mga7
+ Revision: 1362056
- BR gettext-devel
- new release

* Sun Sep 23 2018 umeabot <umeabot> 2.3.0-3.mga7
+ Revision: 1299153
- Mageia 7 Mass Rebuild

* Mon Jul 17 2017 ovitters <ovitters> 2.3.0-2.mga7
+ Revision: 1124548
- fix files in include directory

* Tue May 10 2016 tv <tv> 2.3.0-1.mga6
+ Revision: 1012120
- kill --disable-doxygen as it breaks build
- BR doxygen
- new release

* Mon Feb 08 2016 umeabot <umeabot> 2.2.28-4.mga6
+ Revision: 944960
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.2.28-3.mga5
+ Revision: 745780
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.2.28-2.mga5
+ Revision: 681787
- Mageia 5 Mass Rebuild

* Wed Jul 09 2014 pterjan <pterjan> 2.2.28-1.mga5
+ Revision: 650974
- imported package libsmbios

